For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet one Shipment by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
        • GETGet one Shipment's status timeline by Shipment Id
        • POSTCancel single Order by Order ID
        • POSTCancel one Shipment by Shipment Id
        • GETGet shipping methods
        • GETGet one Shipment's status timeline by Order Id and Shipment Id
        • GETGet all Shipments for Order
        • GETGet logs for one Shipment by Order Id and Shipment Id
        • POSTCancel one Shipment by Order Id and Shipment Id
        • GETGet logs for one Shipment by Shipment Id
        • GETGet one Shipment by Order Id and Shipment Id
        • POSTEstimate Fulfillment Cost For Order
        • GETGet Order Store Json
        • POSTSave the Store Order Json
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Get one Shipment's status timeline by Shipment Id

||View as Markdown|
GET
/2025-07/shipment/:shipmentId/timeline
GET
/2025-07/shipment/:shipmentId/timeline
$curl https://api.shipbob.com/2025-07/shipment/shipmentId/timeline \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "log_type_id": 0,
4 "log_type_name": "string",
5 "log_type_text": "string",
6 "metadata": {
7 "property1": "string",
8 "property2": "string"
9 },
10 "timestamp": "2019-08-24T14:15:22Z"
11 }
12]
Was this page helpful?
Previous

Update Tracking Uploaded Status for Multiple Shipments by Shipment Id

Next

Cancel single Order by Order ID

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

shipmentIdstringRequiredformat: "int32"
The shipment id to get

Headers

shipbob_channel_idstringOptionalformat: "int32"
Channel Id for Operation

Response

Success
log_type_idinteger
Log type id of the shipment
log_type_namestring or null
Name of the log type
log_type_textstring or null
Summary of log type meaning
metadatamap from strings to strings or null
Specifics data for the event
timestampdatetime
Timestamp of event

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error